Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.meta
Class QueryStateVariableAction<S extends Service>

    java.lang.Object
      org.teleal.cling.model.meta.Action<S>
          org.teleal.cling.model.meta.QueryStateVariableAction<S>

All Implemented Interfaces:
  Validatable

    public class QueryStateVariableAction<S extends Service>

extends Action<S>

Describes a single action, the deprecated "query any state variable" action. Note: This is already deprecated in UDA 1.0!

Author:
  Christian Bauer

Field Summary
`static String` | `ACTION_NAME`
`static String` | `VIRTUAL_STATEVARIABLE_INPUT`
`static String` | `VIRTUAL_STATEVARIABLE_OUTPUT`

Constructor Summary
`QueryStateVariableAction()`
`QueryStateVariableAction(S service)`

Method Summary
`String` | `getName()`
`List<ValidationError>` | `validate()`

Methods inherited from class org.teleal.cling.model.meta.Action
`deepCopy, getArguments, getFirstInputArgument, getFirstOutputArgument, getInputArgument, getInputArguments, getOutputArgument, getOutputArguments, getService, hasArguments, hasInputArguments, hasOutputArguments, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ACTION_NAME

    public static final String ACTION_NAME

See Also:
  Constant Field Values

### VIRTUAL_STATEVARIABLE_INPUT

    public static final String VIRTUAL_STATEVARIABLE_INPUT

See Also:
  Constant Field Values

### VIRTUAL_STATEVARIABLE_OUTPUT

    public static final String VIRTUAL_STATEVARIABLE_OUTPUT

See Also:
  Constant Field Values

Constructor Detail

### QueryStateVariableAction

    public QueryStateVariableAction()

### QueryStateVariableAction

    public QueryStateVariableAction(S service)

Method Detail

### getName

    public String getName()

  Overrides:
    `getName` in class `Action<S extends Service>`

### validate

    public List<ValidationError> validate()

  Specified by:
    `validate` in interface `Validatable`
  Overrides:
    `validate` in class `Action<S extends Service>`
  Returns:
    An empty `List` if all rules validated properly, otherwise, the detected errors.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.